Bug 190442 - NETWORK2 test failed but no failure found in log file on the Sun Ultra 40
Summary: NETWORK2 test failed but no failure found in log file on the Sun Ultra 40
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: net   
(Show other bugs)
Version: 2
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Will Woods
QA Contact: Will Woods
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-02 13:02 UTC by Henry Chow
Modified: 2007-04-18 17:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 21:31:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NETWORK2 test output file (6.84 KB, text/plain)
2006-05-02 13:02 UTC, Henry Chow
no flags Details

Description Henry Chow 2006-05-02 13:02:25 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. run NETWORK and NETWORK2 from rhr2-2.0-1 test suite
2. 
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Henry Chow 2006-05-02 13:02:26 UTC
Created attachment 128484 [details]
NETWORK2 test output file

Comment 2 Henry Chow 2006-05-02 13:04:52 UTC
Comment on attachment 128484 [details]
NETWORK2 test output file

Determining IP information for eth0... done.
eth0: waiting for connection...
Determining IP information for eth1... done.
eth1: waiting for connection...Setting network parameters:  ^[[60G[ 
^[[0;32mOK^[[0;39m  ]^M
Bringing up loopback interface:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth0:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth1:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
+ automated_NETWORK2 'eth0(1000)' 'eth1(1000)'
+ down_all_interfaces
/sbin/ip -o link show | awk -F ": " '/UP>/ { print $2 }' | grep -v lo
++ /sbin/ip -o link show
++ awk -F ': ' '/UP>/ { print $2 }'
++ grep -v lo
+ nics=eth0
eth1
+ ifdown eth0
+ ifdown eth1
+ trap restore_interfaces INT TERM EXIT ERR

Determining IP information for eth0... done.
eth0: waiting for connection...
Determining IP information for eth1... done.
eth1: waiting for connection...Setting network parameters:  ^[[60G[ 
^[[0;32mOK^[[0;39m  ]^M
Bringing up loopback interface:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth0:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth1:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
+ automated_NETWORK2 'eth0(1000)' 'eth1(1000)'
+ down_all_interfaces
/sbin/ip -o link show | awk -F ": " '/UP>/ { print $2 }' | grep -v lo
++ /sbin/ip -o link show
++ awk -F ': ' '/UP>/ { print $2 }'
++ grep -v lo
+ nics=eth0
eth1
+ ifdown eth0
+ ifdown eth1
+ trap restore_interfaces INT TERM EXIT ERR
+ parse_interface 'eth0(1000)'
echo $1 | sed -e 's/(/ /g' -e 's/)//g'
++ echo 'eth0(1000)'
++ sed -e 's/(/ /g' -e 's/)//g'
+ local -a 'line=(eth0 1000)'
+ interface=eth0
+ speed=1000
+ check_interface_not_config eth0
+ source /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
++ DEVICE=eth0
BOOTPROTO=dhcp
++ BOOTPROTO=dhcp
ONBOOT=yes
++ ONBOOT=yes
TYPE=Ethernet
++ TYPE=Ethernet
USERCTL=no
++ USERCTL=no
PEERDNS=yes
++ PEERDNS=yes
+ false
+ false
+ rhr_ifup eth0
+ local ifname=eth0
+ local slept=0
+ local delay=15
+ ifup eth0

Determining IP information for eth0... done.
+ ifconfig eth0
+ grep RUNNING -q
+ '[' 0 -gt 15 ']'
+ slept=0
+ delay=15
+ echo -n 'eth0: waiting for connection...'
eth0: waiting for connection...+ ping -Ac1 129.148.53.159
+ '[' 0 -gt 15 ']'
+ return 0
+ create_testfile 1000
+ httptestfile=/var/www/html/httptest.file
+ '[' -f /var/www/html/httptest.file ']'
+ dd if=/dev/urandom of=/var/www/html/httptest.file bs=128k count=1000
1000+0 records in
1000+0 records out
ip -4 addr show $interface |		  awk ' /inet/ { sub("/[[:digit:]*]","
"); print $2; } '
++ ip -4 addr show eth0
++ awk ' /inet/ { sub("/[[:digit:]*]"," "); print $2; } '
+ local ipaddr=129.148.53.39
+ tcp_test
find /usr/lib/lmbench/bin -name lat_tcp -printf '%h'
++ find /usr/lib/lmbench/bin -name lat_tcp -printf %h
+ lmbenchdir=/usr/lib/lmbench/bin/x86_64-linux-gnu
+ (( pass=1 ))
+ (( pass<=5 ))
+ /usr/lib/lmbench/bin/x86_64-linux-gnu/lat_tcp 129.148.53.159
TCP latency using 129.148.53.159: 0.1769 microseconds
+ /usr/lib/lmbench/bin/x86_64-linux-gnu/bw_tcp 129.148.53.159
bw_tcp: could not open socket to server: Connection refused
restore_interfaces
+ restore_interfaces
+ service network start
Setting network parameters:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up loopback interface:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth0:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
Bringing up interface eth1:  ^[[60G[  ^[[0;32mOK^[[0;39m  ]^M
107084613746190505140640939219689138746

Comment 3 Rob Landry 2006-05-16 15:23:45 UTC
not certain why; but a tcp socket could not be opened; more detail is likely
available on the remote system logs; typically firewall rules are a good place
to start

Comment 5 David Aquilina 2006-09-27 21:31:03 UTC
Cleaning up bugzillas, any further issues with the certification tests should be
reported via issue tracker. 


Note You need to log in before you can comment on or make changes to this bug.